Package com.collibra.dgc.core.api.dto.assignment

# Class ChangeScopeRequest.Builder

Object
Builder

Enclosing class:
  `ChangeScopeRequest`

public static final class ChangeScopeRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeScopeRequest`
  `build()`
  `ChangeScopeRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ChangeScopeRequest.Builder`
  `communityIds(List<UUID> communityIds)`
  The new list of IDs of communities that should included in the scope.
  `ChangeScopeRequest.Builder`
  `description(String description)`
  The new description for the scope.
  `ChangeScopeRequest.Builder`
  `domainIds(List<UUID> domainIds)`
  The new list of IDs of domains that should included in the scope.
  `ChangeScopeRequest.Builder`
  `id(UUID id)`
  Required. The ID of the scope to be changed.
  `ChangeScopeRequest.Builder`
  `name(String name)`
  The new name for the scope.
  `ChangeScopeRequest.Builder`
  `publicId(String publicId)`
  The new public id for the Scope.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public ChangeScopeRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ChangeScopeRequest.builder()`
    Clone method for this Builder.

  - ### id

    public ChangeScopeRequest.Builder id(UUID id)
    Required. The ID of the scope to be changed.
    Returns:
      `this`.

  - ### publicId

    public ChangeScopeRequest.Builder publicId(String publicId)
    The new public id for the Scope.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.
    Returns:
      `this`.

  - ### name

    public ChangeScopeRequest.Builder name(String name)
    The new name for the scope.
    Returns:
      `this`.

  - ### description

    public ChangeScopeRequest.Builder description(String description)
    The new description for the scope.
    Returns:
      `this`.

  - ### domainIds

    public ChangeScopeRequest.Builder domainIds(List<UUID> domainIds)
    The new list of IDs of domains that should included in the scope.
    Returns:
      `this`.

  - ### communityIds

    public ChangeScopeRequest.Builder communityIds(List<UUID> communityIds)
    The new list of IDs of communities that should included in the scope.
    Returns:
      `this`.

  - ### build

    public ChangeScopeRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`